---
title: CSS Generated Content
slug: Web/CSS/CSS_Generated_Content
tags:
  - CSS
  - CSS Generated Content
  - Guide
  - Overview
  - Reference
---
<p>{{CSSRef}}</p>

<p class="summary"><strong>CSS Generated Content</strong> is a module of CSS that defines how to add content to an element. Generated content can be used to add content to anonymous replaced elements or replace the content of a DOM node in very limited circumstances with a generated value.</p>

<p>See the <a href="/en-US/docs/Learn/CSS/Howto/Generated_content">how to guide for generated content</a> to learn more, and the {{cssxref("content")}} and {{cssxref("quotes")}} properties for implementation information.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("content")}}</li>
 <li>{{cssxref("quotes")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Content")}}</td>
   <td>{{Spec2("CSS3 Content")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/CSS/Howto/Generated_content">Using CSS generated content</a></li>
 <li>{{cssxref("content")}}</li>
 <li>{{cssxref("quotes")}}</li>
 <li>{{cssxref("::before")}}</li>
 <li>{{cssxref("::after")}}</li>
 <li>{{cssxref("::marker")}}</li>
</ul>
